<?php
namespace app\index\model;
use think\Model;

// 引入框架内置类
use think\facade\Db;
use think\facade\Event;
use think\facade\Session;
use think\facade\Request;

class Common extends Model{
	
    // 定义时间戳字段名
    protected $createTime = 'create_time';
    protected $updateTime = 'update_time';


	//给表ID重置顺序
	public static function table_id($table){
		$sql = "alter table ".$table." AUTO_INCREMENT=1";
		Db::query($sql);
	}

	//获取留言信息,用于不同表获取数据//目前用于admin/Excel控制器导出
	public static function form($table){
		$list=Db::name($table)->order('id desc')->select()->toArray();
		return $list;
	}	
}